Subject: bug#58605: 29.0.50; Commit 2a2f5530fa2 breaks ldap-search-internal

From: Jens Lechtenboerger <[email-masked]>
Date: Tue, 25 Oct 2022 15:42:07 +0200

Hi Filipp,

I’m not sure about conventions for closed bugs but I reply once more
here...

On 2022-10-25, Filipp Gunbin wrote:

> Hi Jens,
>
> On 25/10/2022 07:55 +0200, Jens Lechtenboerger wrote:
>
>> Hi there!
>>
>> On 2022-10-24, Filipp Gunbin wrote:
>>
>>> [...]
>>> But ldap-search expects ldap-ldapsearch-args to be at least what default
>>> value is, to be able to parse the output (btw, "-LL" was there since
>>> "forever", which is 20 years in this case; it's just the third L which
>>> was added recently, to exclude ldif version from the output).
>>
>> How should users know about that expectation?
>
> As I wrote, there should be no need to use it at all.

Then maybe it should not exist (at least not as defcustom).
Alternatively, the doc string might be improved:
A list of required arguments to pass to ‘ldapsearch’.  Internal code
depends on the default value.

Best wishes
Jens

P.S. Thanks for your pointers regarding encryption with OpenLDAP!